<?php

/**
 * Checks if the given parameters are set. If one of the specified parameters
 * is not set, die() is called.
 *
 * @param $parameters The parameters to check.
 */
function checkPOSTParametersOrDie($parameters) {
    foreach ($parameters as $parameter) {
        isset($_POST[$parameter]) || die("'$parameter' parameter must be set.");
    }
}

// Flow starts here.

checkPOSTParametersOrDie([
    'name',
    'text'
]);

$name = htmlentities($_POST['name']);
$text = htmlentities($_POST['text']);

echo 'You have submitted the form with the following data:<br>';
echo '<ul>';
echo "<li><b>Name:</b> $name</li>";
echo "<li><b>Text:</b> $text</li>";
echo '</ul>';
